package org.ow2.jasmine.rules.cluster.cmi.client;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;

import org.ow2.jasmine.rules.cluster.cmi.ejb.IEJBServerClusterViewManager;

public class Client {

    /**
     * @param args
     */
    public static void main(String[] args) throws Exception {
        Hashtable<String, Object> env = new Hashtable<String, Object>(1);
        env.put(Context.INITIAL_CONTEXT_FACTORY, "org.ow2.carol.jndi.spi.MultiOrbInitialContextFactory");
        Context initialContext = new InitialContext(env);
        Object clusterViewManager =
            initialContext.lookup(
                    "org.ow2.jasmine.rules.cluster.cmi.ejb.EJBServerClusterViewManager"
                    + "_" + IEJBServerClusterViewManager.class.getName() + "@Remote");
        System.out.println("Clustered objects:");
        for(String objectNames : ((IEJBServerClusterViewManager) clusterViewManager).getObjectNames()){
            System.out.println("* " + objectNames);
        }
    }

}
